Subject: Re: [PATCH V2 net-next 4/7] rds: support for zcopy completion notification

From: Sowmini Varadhan <[email-masked]>
Date: Wed, 14 Feb 2018 14:01:10 -0500

On (02/14/18 10:50), Santosh Shilimkar wrote:
> generic comment and please update it where it is applicable
> in terms of variable names, notifiers etc.
> 
> RDS support true zero copy already with RDMA transport so some of
> this code can easily get confused.
> 
> So I suggest something like below.
> s/zerocopy/zeromsgcopy
> s/zcopy/zmsgcopy
> s/zcookie/zmsgcpycookie
> s/znotifier/zmsgcpynotifier	

I'd like to hear some additional opinions from the list on this: 
the existing socket API for TCP etc.  already uses ZEROCOPY, and other
than extending variable names (and putting me at risk of violating the
"fit within 80 chars per line" requirement, leading to not-so-pretty
line wraps), I'm not seeing much value in this.

> This error change might need to go though other subsystem tree. May
> be you can seperate it and also copy "[email-masked]"

sure I can do that, either  when I put out patch v3 or later today,
after others have had a chance to review this.

--Sowmini